Package oasis.names.tc.dss._1_0.core.schema

# Class InternationalStringType

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.InternationalStringType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class InternationalStringType extends Object implements Serializable

Java class for InternationalStringType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InternationalStringType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternationalStringType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLang()`
  Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InternationalStringType

    public InternationalStringType()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLang

    public String getLang()
    Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information. The union allows for the 'un-declaration' of xml:lang with the empty string.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLang()`